export default class FilterOptions extends Component<any, any, any> {
    static propTypes: {
        filter: PropTypes.Validator<any[]>;
        onFilterChange: PropTypes.Validator<(...args: any[]) => any>;
        operator: PropTypes.Validator<object>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    getOptions(): any;
    getOptionName(name: any): any;
    getOptionValue(name: any): any;
    setOptionValue(name: any): void;
    toggleOptionValue(name: any): void;
    render(): import("react/jsx-runtime").JSX.Element | null;
}
import { Component } from "react";
import PropTypes from "prop-types";
